#ifndef TRIVIAAPP_H
#define TRIVIAAPP_H

#include <QApplication>
#include <QVector>

class Question; // forward declaration

static const QString triviaFilename = "Trivia.xml";

class TriviaApp : public QApplication
{
	Q_OBJECT

  protected:
	QVector<Question*> questions;

  public:
	TriviaApp(int argc, char* argv[]);
	~TriviaApp();
	int exec();
	static Question* createQuestion(const QString& type);

  protected:
	bool loadQuestions();
	void printQuestions() const;

signals:

public slots:

};

#endif // TRIVIAAPP_H
